package core.api.models.timemanager.tasks;

import core.api.models.timemanager.taskgroup.TaskgroupEntityInfo;
import core.entities.timemanager.Task;
import core.entities.timemanager.Taskgroup;

import java.time.LocalDate;
import java.util.List;

public class TaskOverviewInfo {

    private long taskID;
    private String taskName;
    private int activeMinutes;
    private int eta;
    private LocalDate limit;
    private boolean overdue;

    private boolean finishable;

    public TaskOverviewInfo(Task task) {
        this.taskID = task.getTaskID();
        this.taskName = task.getTaskName();
        this.activeMinutes = task.getWorkTime();
        this.eta = task.getEta();
        this.limit = task.getDeadline();
        if(task.getDeadline() != null) {
            this.overdue = LocalDate.now().isAfter(task.getDeadline());
        }
        this.finishable = task.isFinishable();
    }

    public long getTaskID() {
        return taskID;
    }

    public void setTaskID(long taskID) {
        this.taskID = taskID;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public int getActiveMinutes() {
        return activeMinutes;
    }

    public void setActiveMinutes(int activeMinutes) {
        this.activeMinutes = activeMinutes;
    }

    public int getEta() {
        return eta;
    }

    public void setEta(int eta) {
        this.eta = eta;
    }

    public LocalDate getLimit() {
        return limit;
    }

    public void setLimit(LocalDate limit) {
        this.limit = limit;
    }

    public boolean isOverdue() {
        return overdue;
    }

    public void setOverdue(boolean overdue) {
        this.overdue = overdue;
    }

    public boolean isFinishable() {
        return finishable;
    }

    public void setFinishable(boolean finishable) {
        this.finishable = finishable;
    }
}
